Bad Allocation when opening raster properties

2014-07-07 05:01 AM - Julian O'Neill

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19206

Description

Afternoon,

When trying to change the properties of the raster file (attached) I only ever receive a 'Bad Allocation' error. It is not possible to open the

properties dialogue box. I have created many rasters in the same way as this one, which all work. I have tried to recreate this one, but it

still causes the same error. Please note that I have changed the x and y coordinates as the data is potentially sensitive.

I expect there to be only values of -99 and 99 in the raster (null values are set to -999.0).

Your help would be much appreciated.

Kind Regards

Associated revisions

Revision 962a7d9f - 2014-10-16 12:39 AM - Jürgen Fischer

avoid creating a histogram without range (fixes #10832)

History

#1 - 2014-07-07 07:03 AM - Giovanni Manghi

- Subject changed from Bad Allocation - .asc properties to Bad Allocation when opening raster properties

- Operating System deleted (Windows)

- Priority changed from Normal to Severe/Regression

- Category set to Rasters

- OS version deleted (2.4)

    -  confirmed on Windows and Linux

    -  on Linux it seems to happen only if qgis is configured to render raster with the "cumulative count cut" option

    -  it is not a .asc only issue, it happens the same if converting this raster as .tif

    -  it does not happen on 2.2

#2 - 2014-10-03 03:25 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master
confirmed on the latest master.

#3 - 2014-10-15 10:03 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#4 - 2014-10-15 03:44 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"962a7d9f789543e0ca3bf1416ff419bfef8748e6".

Files

BadAllocationGrid.zip 14 KB 2014-07-07 Julian O'Neill
